import JSci.maths.WaveletMath;

/**
* This is a test to verify interpolation from a Lagrange filter.
* @author Daniel Lemire
*/
public class TestWavelet2 {
        public static void main(String argv[]) {
                double[] data={0,0,1,0,0};
                SortieVecteur(data);
                double[] filtre={-0.0625,0,0.5625,0,1,0,0.5625,0,-0.0625};
                double[] interpol=WaveletMath.upsample(filtre,data);
                SortieVecteur(interpol);
        }	
        private static void SortieVecteur(double[] data) {
                System.out.println("*****");
                for(int i=0;i<data.length;i++)
                        System.out.println(data[i]);
        }
}

